/*
 * poky-style.c
 * This file is part of poky-engine
 *
 * Copyright (C) 2006 - OpenedHand Ltd
 *
 * poky-engine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * poky-engine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with poky-engine; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */
 
 

#include <gtk/gtk.h>
#include <stdio.h>

#include "poky-style.h"

/*** Gtk Style Class **********************************************************/

GType poky_type_style = 0;

static void poky_style_class_init (PokyStyleClass *klass);

void
poky_style_register_type (GTypeModule *module)
{
  static const GTypeInfo object_info =
  {
    sizeof (PokyStyleClass),
    (GBaseInitFunc) NULL,
    (GBaseFinalizeFunc) NULL,
    (GClassInitFunc) poky_style_class_init,
    NULL,           /* class_finalize */
    NULL,           /* class_data */
    sizeof (PokyStyle),
    0,              /* n_preallocs */
    (GInstanceInitFunc) NULL,
  };

  poky_type_style = g_type_module_register_type (module,
						 GTK_TYPE_STYLE,
						 "PokyStyle",
						 &object_info, 0);
}

static void
poky_style_class_init (PokyStyleClass *klass)
{
  GtkStyleClass *style_class = GTK_STYLE_CLASS (klass);
  poky_draw_style_class_init (style_class);
}
    
/******************************************************************************/

/*** Gtk Style RC Class *******************************************************/

GType poky_type_rc_style = 0;

static GtkStyle *poky_rc_style_create_style (GtkRcStyle *rc_style);

static void
poky_rc_style_class_init (PokyRcStyleClass *klass)
{
	GtkRcStyleClass *rc_style_class = GTK_RC_STYLE_CLASS (klass);
	rc_style_class->create_style = poky_rc_style_create_style;
}

void
poky_rc_style_register_type (GTypeModule *module)
{
  static const GTypeInfo object_info =
  {
    sizeof (PokyRcStyleClass),
    (GBaseInitFunc) NULL,
    (GBaseFinalizeFunc) NULL,
    (GClassInitFunc) poky_rc_style_class_init,
    NULL,           /* class_finalize */
    NULL,           /* class_data */
    sizeof (PokyRcStyle),
    0,              /* n_preallocs */
    (GInstanceInitFunc) NULL,
  };

  poky_type_rc_style = g_type_module_register_type (module,
                                                      GTK_TYPE_RC_STYLE,
                                                      "PokyRcStyle",
                                                      &object_info, 0);
}

static GtkStyle *
poky_rc_style_create_style (GtkRcStyle *rc_style)
{
  return GTK_STYLE (g_object_new (POKY_TYPE_STYLE, NULL));
}

/******************************************************************************/
